Subject: Bug#417: Two screens, wrong screen used for limits of positioning context menus

From: Mike Gabriel <[email-masked]>
Date: Fri, 15 May 2015 14:06:32 +0000

Hi Daniel,

On  Mi 29 Jan 2014 19:02:58 CET, Daniel Michalik wrote:

> Hi Mike,
>
> On Wed, Jan 29, 2014 at 12:16:05PM +0000, Mike Gabriel wrote:
>> this is a very special behaviour on a special setup. We will not be
>> able to track this down soon, I am sorry. We may look at it for a
>> certain amount of project sponsoring. Please let me know if that is
>> an option for you (or your company in case you use X2Go at work).
>
> Thank you for your answer. I cannot help you with sponsoring
> unfortunately. However I did some further investigations and I believe
> this issue might be more general than it looks like, I think it applies
> to all multiple screen scenarios where session type is single
> application. It should therefore be much easier to reproduce than
> anticipated.
>
> I retested this without a portrait screen but rather a classical dual
> monitor setup, that is two landscape monitors next to each other. At
> same resolution ("identical screens") there is no problem with the
> context menu placement when being close to the bottom edge. But the
> placement is wrong when being close to the right edge of the left
> screen. With different resolutions of the screens the behaviour is
> always consistent with the larger vertical resolution.
>
> My suggestion for the error source is that the bottom right corner of
> the ENTIRE area available is used when the placement of the context menu
> is decided, rather than the bottom right corner of the individual
> screen. All tests with various resolutions, orientations and placements
> of the screens are consistent with that. Let me add that this happens
> both with and without the Xinerama option turned on.
>
> I hope this information can help tracking the issue down.
> Kind regards,
> Daniel

I just wanted to let you know that Ulrich Sibiller is currently  
working on the Xinerama bits in nx-libs. I am very confident that he  
will find a way to fix your issue.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb